RFDynHUD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud
Class RFDynHUD

    java.lang.Object
      net.ctdp.rfdynhud.RFDynHUD

    public class RFDynHUD

extends java.lang.Object

This is the entry point for the VM-invocation from rFactor.

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static Version` | `VERSION`

Constructor Summary
`RFDynHUD(java.lang.String gameName, int gameResX, int gameResY)`

Method Summary
`static RFDynHUD` | `createInstance(byte[] gameNameBuffer, int gameResX, int gameResY)`
`java.nio.ByteBuffer` | `getDirtyRectsBuffer(int textureIndex)`
`GameEventsManager` | `getEventsManager()`
`_LiveGameData_CPP_Adapter` | `getGameData_CPP_Adapter()`
`LiveGameData` | `getGameData()`
`SupportedGames` | `getGameId()`
`java.nio.ByteBuffer` | `getInputBuffer()`
`InputDeviceManager` | `getInputDeviceManager()`
`InputMappings` | `getInputMappings()`
`InputMappingsManager` | `getInputMappingsManager()`
`byte[]` | `getTextureData(int textureIndex)`
`java.nio.ByteBuffer` | `getTextureInfoBuffer()`
`void` | `initInput(byte[] deviceData)`
`boolean` | `isInRenderMode()`
`void` | `setRenderMode(boolean renderMode)`
`byte` | `update()` Will and must be called any time, the game is redendered (called from the C++-Plugin).
`byte` | `updateInput(int modifierMask)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final Version VERSION

Constructor Detail

### RFDynHUD

    public RFDynHUD(java.lang.String gameName,
                    int gameResX,
                    int gameResY)
             throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

Method Detail

### getGameId

    public final SupportedGames getGameId()

### setRenderMode

    public void setRenderMode(boolean renderMode)

### isInRenderMode

    public final boolean isInRenderMode()

### getTextureInfoBuffer

    public final java.nio.ByteBuffer getTextureInfoBuffer()

### getDirtyRectsBuffer

    public final java.nio.ByteBuffer getDirtyRectsBuffer(int textureIndex)

### getTextureData

    public final byte[] getTextureData(int textureIndex)

### getGameData

    public final LiveGameData getGameData()

### getGameData_CPP_Adapter

    public final _LiveGameData_CPP_Adapter getGameData_CPP_Adapter()

### getEventsManager

    public final GameEventsManager getEventsManager()

### getInputDeviceManager

    public final InputDeviceManager getInputDeviceManager()

### getInputMappingsManager

    public final InputMappingsManager getInputMappingsManager()

### getInputMappings

    public final InputMappings getInputMappings()

### initInput

    public void initInput(byte[] deviceData)

### getInputBuffer

    public final java.nio.ByteBuffer getInputBuffer()

### updateInput

    public byte updateInput(int modifierMask)

### update

    public final byte update()

  Will and must be called any time, the game is redendered (called from the C++-Plugin).

  Returns:
    0, if nothing should be rendered anymore, 1 to render something, 2 to render and update texture info.

### createInstance

    public static final RFDynHUD createInstance(byte[] gameNameBuffer,
                                                int gameResX,
                                                int gameResY)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD